# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend \
            ${LAYERDIR}/${DISTRO_CODENAME}-recipes-*/*/*.bb \
            ${LAYERDIR}/${DISTRO_CODENAME}-recipes-*/*/*.bbappend \
"

BBFILE_COLLECTIONS += "meta-ledge-secure"
BBFILE_PATTERN_meta-ledge-secure = "^${LAYERDIR}/"
BBFILE_PRIORITY_meta-ledge-secure = "9"

#LAYERDEPENDS_meta-ledge-secure = " \
#    meta-trustedsubstrate \
#"
LAYERSERIES_COMPAT_meta-ledge-secure = "mickledore kirkstone"

# enable selinux
DISTRO_FEATURES:append = " acl xattr pam selinux"
PACKAGECONFIG_pn-sudo = "pam-wheel"

# set permissive mode for now. We can change this to enforcing once we have the
# proper policy installed
#DEFAULT_ENFORCING = "enforcing"
DEFAULT_ENFORCING = "permissive"
PREFERRED_PROVIDER_virtual/refpolicy = "refpolicy-mls"
DISTRO_FEATURES:append = " systemd "

# enable EFI
DISTRO_FEATURES:append = " efi"

# enable tpm2
DISTRO_FEATURES:append = " tpm2"

# enable udisks2 (for clevis)
DISTRO_FEATURES:append = " polkit"

BBFILES_DYNAMIC += " \
        virtualization-layer:${LAYERDIR}/dynamic-layers/meta-virtualization/*/*/*.bb \
        virtualization-layer:${LAYERDIR}/dynamic-layers/meta-virtualization/*/*/*.bbappend \
"
